import { BpSdkStore, removeActiveAnswerId, updateActiveQuestionSet } from '@boldpenguin/sdk-redux';
import type { TQuestionSetNavigationItem } from '@boldpenguin/sdk-types';
import { IApplicationFormQuestionSet, IQuestionSetNavigationContainerComponent } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkQuestionSetNavigationContainer implements IQuestionSetNavigationContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    updateActiveQuestionSet: typeof updateActiveQuestionSet;
    removeActiveAnswerId: typeof removeActiveAnswerId;
    /**
     * Active question set ID injected by redux
     */
    activeQuestionSetId: string;
    /**
     * Config: Parent question set navigation enabled? Injected by redux
     */
    areParentQuestionSetsInNavigationEnabled: boolean;
    /**
     * Config: Question set navigation enabled? Injected by redux
     */
    isQuestionSetNavigationEnabled: boolean;
    /**
     * Parent question sets injected from redux
     */
    parentQuestionSets: IApplicationFormQuestionSet[];
    /**
     * Question sets list injected by redux
     */
    questionSetsList: IApplicationFormQuestionSet[];
    useExternal: boolean;
    questionSets: TQuestionSetNavigationItem[];
    el: HTMLBpSdkQuestionSetNavigationContainerElement;
    resetState(): void;
    onQuestionSetPropsChange(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    componentWillLoad(): void;
    mapStateToProps: (state: BpSdkStore) => {
        activeQuestionSetId: string;
        areParentQuestionSetsInNavigationEnabled: boolean;
        isQuestionSetNavigationEnabled: boolean;
        parentQuestionSets: IApplicationFormQuestionSet[];
        questionSetsList: IApplicationFormQuestionSet[];
    };
    onRemoveActiveAnswerRequest(): void;
    disconnectedCallback(): void;
    handleActiveQuestionSetUpdate(evt: CustomEvent): void;
    componentWillUpdate(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
